Chromium Code Reviews
Help | Chromium Project | Sign in
(16)

Issue 12086077: Only permit plug-in loads in the browser if the plug-in isn't blocked or the (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by Chris Evans
Modified:
2 years, 5 months ago
Reviewers:
Bernhard Bauer, jam
CC:
chromium-reviews, Avi, creis+watch_chromium.org, jam, joi+watch-content_chromium.org, darin-cc_chromium.org, ajwong+watch_chromium.org, stuartmorgan+watch_chromium.org, markusheintz_
Visibility:
Public.

Description

Only permit plug-in loads in the browser if the plug-in isn't blocked or the user has authorized it with a browser-mediated interaction. BUG=172573 Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=180103

Patch Set 1 #

Patch Set 2 : #

Patch Set 3 : #

Total comments: 2

Patch Set 4 : #

Patch Set 5 : #

Total comments: 3
Unified diffs Side-by-side diffs Delta from patch set Stats (+270 lines, -51 lines) Patch
M chrome/browser/content_settings/content_settings_browsertest.cc View 1 2 3 6 chunks +15 lines, -0 lines 0 comments Download
M chrome/browser/plugins/chrome_plugin_service_filter.h View 1 2 3 5 chunks +29 lines, -3 lines 0 comments Download
M chrome/browser/plugins/chrome_plugin_service_filter.cc View 1 2 3 6 chunks +81 lines, -19 lines 1 comment Download
M chrome/browser/plugins/plugin_info_message_filter.h View 1 2 3 1 chunk +2 lines, -0 lines 1 comment Download
M chrome/browser/plugins/plugin_info_message_filter.cc View 1 2 3 4 chunks +15 lines, -1 line 0 comments Download
M chrome/browser/plugins/plugin_infobar_delegates.cc View 1 2 3 2 chunks +7 lines, -2 lines 0 comments Download
M chrome/browser/renderer_host/plugin_info_message_filter_unittest.cc View 1 2 3 3 chunks +10 lines, -2 lines 0 comments Download
M chrome/browser/tab_contents/render_view_context_menu.cc View 1 2 3 4 3 chunks +10 lines, -1 line 0 comments Download
M chrome/browser/ui/content_settings/content_setting_bubble_model.cc View 1 2 3 4 6 chunks +10 lines, -0 lines 0 comments Download
M content/browser/pepper_flash_settings_helper_impl.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M content/browser/plugin_data_remover_impl.cc View 1 2 3 1 chunk +1 line, -1 line 0 comments Download
M content/browser/plugin_service_impl.h View 1 2 3 3 chunks +9 lines, -5 lines 0 comments Download
M content/browser/plugin_service_impl.cc View 1 2 3 8 chunks +25 lines, -5 lines 0 comments Download
M content/browser/plugin_service_impl_browsertest.cc View 1 2 3 6 chunks +39 lines, -4 lines 0 comments Download
M content/browser/renderer_host/render_message_filter.cc View 1 2 3 3 chunks +8 lines, -4 lines 0 comments Download
M content/public/browser/plugin_service_filter.h View 1 2 3 1 chunk +8 lines, -3 lines 1 comment Download
Commit: (user is not authenticated) CQ not working?

Messages

Total messages: 6 (0 generated)
Chris Evans
Here's the change we chatted about. I've rewritten it twice in an effort to avoid ...
2 years, 6 months ago (2013-01-31 04:00:18 UTC) #1
jam
lgtm is it possible to add a regression test for this? https://codereview.chromium.org/12086077/diff/3005/chrome/browser/plugins/chrome_plugin_service_filter.cc File chrome/browser/plugins/chrome_plugin_service_filter.cc (right): ...
2 years, 6 months ago (2013-01-31 18:11:25 UTC) #2
Chris Evans
On 2013/01/31 18:11:25, jam wrote: > lgtm > > is it possible to add a ...
2 years, 6 months ago (2013-02-01 02:06:35 UTC) #3
Bernhard Bauer
https://codereview.chromium.org/12086077/diff/9007/chrome/browser/plugins/chrome_plugin_service_filter.cc File chrome/browser/plugins/chrome_plugin_service_filter.cc (right): https://codereview.chromium.org/12086077/diff/9007/chrome/browser/plugins/chrome_plugin_service_filter.cc#newcode93 chrome/browser/plugins/chrome_plugin_service_filter.cc:93: break; Wait, this might not be quite right. If ...
2 years, 6 months ago (2013-02-04 13:58:53 UTC) #4
Chris Evans
On 2013/02/04 13:58:53, Bernhard Bauer wrote: > https://codereview.chromium.org/12086077/diff/9007/chrome/browser/plugins/chrome_plugin_service_filter.cc > File chrome/browser/plugins/chrome_plugin_service_filter.cc (right): > > https://codereview.chromium.org/12086077/diff/9007/chrome/browser/plugins/chrome_plugin_service_filter.cc#newcode93 ...
2 years, 6 months ago (2013-02-04 15:59:52 UTC) #5
m22alqtby
2 years, 5 months ago (2013-03-07 01:34:28 UTC) #6
Message was sent while issue was closed.

          
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 3ea459f